library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity distortion_TB is
end distortion_TB;


architecture rtl of distortion_TB is

	signal clk : std_logic;
	signal reset_n : std_logic;
	signal data_enable : std_logic;
	signal distortion_enable : std_logic;
	
	signal data_in : std_logic_vector(15 downto 0);
	signal data_out : std_logic_vector(15 downto 0);
	signal clip : std_logic_vector(15 downto 0);
	signal data_ready : std_logic;


component distortion is
port (
	clk : in std_logic;
	reset_n : in std_logic;
	data_enable : in std_logic;
	distortion_enable : in std_logic;
	
	data_in : in std_logic_vector(15 downto 0);
	data_out : out std_logic_vector(15 downto 0);
	clip : in std_logic_vector(15 downto 0);
	data_ready : out std_logic

);
end component;

begin

 V1: distortion port map(
	clk => clk,
	reset_n => reset_n,
	data_enable => data_enable,
	distortion_enable => distortion_enable,
	
	clip => clip,
	data_ready => data_ready,
	data_in  => data_in,
	data_out => data_out
);


process
begin
	reset_n <= '0';
	wait for 20 ns;
	reset_n<= '1';
	wait;
end process;

process
begin
	clk <= '0';
	wait for 5 ns;

	loop
			clk <= '1';
			wait for 5 ns;
			clk <= '0';
			wait for 5 ns;
	end loop;
end process;


process
begin
	clip <= "0000000100000000";
	distortion_enable <= '1';
	loop
		wait for 20 ns;
		data_in <= X"2F37";
		data_enable <= '1';
		wait for 10 ns;
		data_enable <= '0';
		wait for 230 ns;
		data_in <= X"8FFF";
		data_enable <= '1';
		wait for 10 ns;
		data_enable <= '0';
		wait for 230 ns;
		data_in <= X"3F37";
		data_enable <= '1';
		wait for 10 ns;
		data_enable <= '0';
		wait for 230 ns;
		data_in <= X"0023";
		data_enable <= '1';
		wait for 10 ns;
		data_enable <= '0';
		wait for 230 ns;
		data_in <= X"2724";
		data_enable <= '1';
		wait for 10 ns;
		data_enable <= '0';
		wait for 230 ns;
		data_in <= X"8F25";
		data_enable <= '1';
		wait for 10 ns;
		data_enable <= '0';
		wait for 230 ns;
		data_in <= X"FF12";
		data_enable <= '1';
		wait for 10 ns;
		data_enable <= '0';
		wait for 230 ns;
	end loop;
end process;
end architecture;
