--Legal Notice: (C)2006 Altera Corporation. All rights reserved.  Your
--use of Altera Corporation's design tools, logic functions and other
--software and tools, and its AMPP partner logic functions, and any
--output files any of the foregoing (including device programming or
--simulation files), and any associated documentation or information are
--expressly subject to the terms and conditions of the Altera Program
--License Subscription Agreement or other applicable license agreement,
--including, without limitation, that your use is for the sole purpose
--of programming logic devices manufactured by Altera and sold by Altera
--or its authorized distributors.  Please refer to the applicable
--agreement for further details.


-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

library std;
use std.standard.all;

entity effector_avnet_0 is 
        port (
              -- inputs:
                 signal AUD_ADCDAT : IN STD_LOGIC;
                 signal audio_clk : IN STD_LOGIC;
                 signal avs_s1_address : IN STD_LOGIC_VECTOR (7 DOWNTO 0);
                 signal avs_s1_byteenable : IN STD_LOGIC_VECTOR (1 DOWNTO 0);
                 signal avs_s1_chipselect : IN STD_LOGIC;
                 signal avs_s1_clk : IN STD_LOGIC;
                 signal avs_s1_reset_n : IN STD_LOGIC;
                 signal avs_s1_write : IN STD_LOGIC;
                 signal avs_s1_writedata : IN STD_LOGIC_VECTOR (15 DOWNTO 0);

              -- outputs:
                 signal AUD_ADCLRCK : OUT STD_LOGIC;
                 signal AUD_BCLK : INOUT STD_LOGIC;
                 signal AUD_DACDAT : OUT STD_LOGIC;
                 signal AUD_DACLRCK : OUT STD_LOGIC;
                 signal I2C_SCLK : OUT STD_LOGIC;
                 signal I2C_SDAT : INOUT STD_LOGIC
              );
end entity effector_avnet_0;


architecture europa of effector_avnet_0 is
component effector_avnet is 
           port (
                 -- inputs:
                    signal AUD_ADCDAT : IN STD_LOGIC;
                    signal audio_clk : IN STD_LOGIC;
                    signal avs_s1_address : IN STD_LOGIC_VECTOR (7 DOWNTO 0);
                    signal avs_s1_byteenable : IN STD_LOGIC_VECTOR (1 DOWNTO 0);
                    signal avs_s1_chipselect : IN STD_LOGIC;
                    signal avs_s1_clk : IN STD_LOGIC;
                    signal avs_s1_reset_n : IN STD_LOGIC;
                    signal avs_s1_write : IN STD_LOGIC;
                    signal avs_s1_writedata : IN STD_LOGIC_VECTOR (15 DOWNTO 0);

                 -- outputs:
                    signal AUD_ADCLRCK : OUT STD_LOGIC;
                    signal AUD_BCLK : INOUT STD_LOGIC;
                    signal AUD_DACDAT : OUT STD_LOGIC;
                    signal AUD_DACLRCK : OUT STD_LOGIC;
                    signal I2C_SCLK : OUT STD_LOGIC;
                    signal I2C_SDAT : INOUT STD_LOGIC
                 );
end component effector_avnet;

                signal internal_AUD_ADCLRCK :  STD_LOGIC;
                signal internal_AUD_DACDAT :  STD_LOGIC;
                signal internal_AUD_DACLRCK :  STD_LOGIC;
                signal internal_I2C_SCLK :  STD_LOGIC;

begin

  --the_effector_avnet, which is an e_instance
  the_effector_avnet : effector_avnet
    port map(
      AUD_ADCLRCK => internal_AUD_ADCLRCK,
      AUD_BCLK => AUD_BCLK,
      AUD_DACDAT => internal_AUD_DACDAT,
      AUD_DACLRCK => internal_AUD_DACLRCK,
      I2C_SCLK => internal_I2C_SCLK,
      I2C_SDAT => I2C_SDAT,
      AUD_ADCDAT => AUD_ADCDAT,
      audio_clk => audio_clk,
      avs_s1_address => avs_s1_address,
      avs_s1_byteenable => avs_s1_byteenable,
      avs_s1_chipselect => avs_s1_chipselect,
      avs_s1_clk => avs_s1_clk,
      avs_s1_reset_n => avs_s1_reset_n,
      avs_s1_write => avs_s1_write,
      avs_s1_writedata => avs_s1_writedata
    );


  --vhdl renameroo for output signals
  AUD_ADCLRCK <= internal_AUD_ADCLRCK;
  --vhdl renameroo for output signals
  AUD_DACDAT <= internal_AUD_DACDAT;
  --vhdl renameroo for output signals
  AUD_DACLRCK <= internal_AUD_DACLRCK;
  --vhdl renameroo for output signals
  I2C_SCLK <= internal_I2C_SCLK;

end europa;

